<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>homework12</title>

</head>

<body>
    <script>
        // мфссив цветов
        let colorArr=["Yellow", "Green", "Blue", "Brown", "Red", "Orange", "Black", "Pink", "Gray", "Purple"];
        
        // стартовая кнопка
        document.body.innerHTML = `<button id="but_start">"Нарисовать круг"</button>`

        //стиль стартовой кнопки
        but_start.style.cssText = "width: 200px; height: 80px; border-radius: 3px; background-color:darkgrey ; color: #fff; font-family: Aral; font-size: 32px; margin: auto auto; cursor: pointer;";

        // Запуск выполнения условия. на клик по старту перезапиывается кнопка старта на поле ввода и кнопку ввода радиуса
        but_start.onclick = function() {
            document.body.innerHTML = `<input id='inp' type='text'  value=''> <br> <button id='but_finish'>"Введите диаметр круга"</button>`;
            but_finish.style.cssText = "width: 180px; height: 50px; border-radius: 5px; background-color:black ; color: #fff; font-family: Aral; font-size: 15px;  cursor: pointer;";
            inp.style.cssText = "width: 180px; height: 50px; border-radius: 5px;  font-family: Aral; font-size: 35px; text-alighn:center; cursor: pointer;";

            // Запуск сщздания крогов. на клик по кнопке сохраняется диаметр и скрываются кнопка и поле ввода. Выводится 100 кругов;
            but_finish.onclick = function() {

                let radius = document.getElementById("inp").value;
                but_finish.style.display = "none";
                inp.style.display = "none"
                let table = document.createElement("table");
                document.body.appendChild(table);

                // цикл создания десяти <TR> блоков
                for (i = 10; i > 0; i--) {
                    let trTabl = document.createElement('tr');
                    table.appendChild(trTabl)

                    // цикл создания десяти <Td> тегов

                    for (t = 10; t > 0; t--) {var rand =  Math.floor(Math.random() * 10)// создаем случайное число для выбора ключа цвета в массиве
                        let tdTabl = document.createElement('td');
                        trTabl.appendChild(tdTabl)
                        tdTabl.style.cssText = "border: 2px solid black; border-radius: 50%;";
                        tdTabl.style.width = radius + "px";
                        tdTabl.style.height = radius + "px";
                        tdTabl.style.backgroundColor = colorArr[rand];// с выбор цвета в массиве;
                    };
                };
            };
        };

        // слушатель всплытия событий
        document.addEventListener("click", handler1);


        // выключаем target элемент
        function handler1() {
            event.target.style.border = "";
            event.target.style.backgroundColor = "";
        };

        // Блин....... Работает))) ЗАНАВЕС.
    </script>
</body>

</html>
